Bug 1136272 - Null pointer exception prevents network creation
Summary: Null pointer exception prevents network creation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Gilad Chaplik
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-09-02 09:23 UTC by Lior Vernia
Modified: 2016-02-10 19:41 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:34:52 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32299 master MERGED core: Fix NPE in QosValidator Never
oVirt gerrit 32308 ovirt-engine-3.5 MERGED core: Fix NPE in QosValidator Never

Description Lior Vernia 2014-09-02 09:23:15 UTC
Description of problem:

Creation of network fails on null pointer exception related to QoS getter.


Version-Release number of selected component (if applicable):

Current master, likely 3.5 as well.


How reproducible:

Always.


Steps to Reproduce:

Simply try to create a new network, it fails.



Additional info:

<snip>

2014-09-02 12:07:11,806 ERROR [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-4) [44fb7380] Error during CanDoActionFailure.: java.lang.NullPointerException
	at org.ovirt.engine.core.bll.validator.QosValidator.getOldQos(QosValidator.java:27) [bll.jar:]
	at org.ovirt.engine.core.bll.validator.QosValidator.consistentDataCenter(QosValidator.java:54) [bll.jar:]
	at org.ovirt.engine.core.bll.validator.NetworkValidator.qosExistsInDc(NetworkValidator.java:200) [bll.jar:]
	at org.ovirt.engine.core.bll.network.dc.AddNetworkCommand.canDoAction(AddNetworkCommand.java:72) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.internalCanDoAction(CommandBase.java:745) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:340) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:430) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:411) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:369) [bll.jar:]

</snip>

Comment 1 Lukas Svaty 2014-09-16 12:39:22 UTC
verified in vt3

Comment 2 Sandro Bonazzola 2014-10-17 12:34:52 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.